@import url("https://fonts.googleapis.com/css2?family=Great+Vibes&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Rubik:ital,wght@0,300..900;1,300..900&display=swap");

:root {
  --back: #fff9f1;
  --accent: #b02316;
  --text: #20364b;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  overflow-x: clip;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
  height: auto;
  user-drag: none;
  -webkit-user-drag: none;
  user-select: none;
  -webkit-user-select: none;
}

input,
button,
textarea,
select {
  font: inherit;
  border: none;
  background: none;
}

button {
  cursor: pointer;
}

a {
  color: inherit;
  text-decoration: none;
}

ul,
ol {
  list-style: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

:focus {
  outline: none;
}

body {
  font-family: "Inter", sans-serif;
  background: var(--back);
  color: var(--text);
  overflow-x: hidden;
  font-size: 24px;
  font-weight: 400;
  line-height: 36px;
  letter-spacing: 0%;
  scroll-behavior: smooth;
  margin: 0;
  padding: 52px 80px;
  height: 100%;
}

.container {
  max-width: 1280px;
  margin: 0 auto;
}

header {
  margin-bottom: 60px;
}

.top-header {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  padding-top: 10px;
  padding-bottom: 10px;
  margin-bottom: 40px;
}

.name {
  display: flex;
  flex-direction: column;
  justify-content: end;
}

.name h1 {
  font-family: "Playfair Display", serif;
  font-weight: 700;
  font-size: 128px;
  line-height: 116%;
  margin-bottom: 18px;
  letter-spacing: 0%;
}

.name span {
  font-family: "Great Vibes", cursive;
  font-weight: 400;
  font-size: 64px;
  line-height: 100%;
  letter-spacing: 2%;
  text-align: right;
  color: var(--accent);
}

nav {
  padding: 36px 20px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
  border: 0.5px solid var(--text);
  border-radius: 20px;
}

.nav-list {
  display: flex;
  align-items: center;
  gap: 110px;
}

.nav-list a {
  font-family: "Rubik", sans-serif;
  font-weight: 500;
  font-size: 32px;
  line-height: 100%;
  letter-spacing: 0%;
  text-transform: uppercase;
  transition: all 0.3s;
}

.nav-list a:hover {
  color: var(--accent);
}

.social {
  display: flex;
  align-items: center;
  gap: 10px;
}
.social a {
  padding: 5px;
}
.social a svg {
  display: flex;
  width: 25px;
  height: 25px;
}

.social a svg path {
  transition: all 0.3s;
}

.social a:hover svg path {
  fill: var(--accent);
}

.about-container {
  display: grid;
  align-items: center;
  grid-template-columns: 1.18fr 1fr;
  gap: 64px;
}

.about-container.gap-60 {
  gap: 60px;
}

.about-img {
  position: relative;
}

.about-img::before {
  position: absolute;
  top: 3px;
  left: 14px;
  content: "";
  background-image: url(images/ua.svg);
  width: 70px;
  height: 70px;
}

.about-container .text p {
  font-weight: 400;
  font-size: 24px;
  line-height: 36px;
  letter-spacing: 0%;
}

.about-container .text p span {
  font-family: "Great Vibes", cursive;
  color: var(--accent);
  font-weight: 400;
  font-size: 40px;
  line-height: 36px;
  letter-spacing: 0%;
}

.about-container .text p span {
  padding-right: 5px;
}

h2 {
  font-family: "Great Vibes", cursive;
  font-weight: 400;
  font-size: 48px;
  line-height: 36px;
  letter-spacing: 0%;
  margin-bottom: 24px;
}

.btn {
  font-weight: 400;
  font-size: 40px;
  line-height: 100%;
  letter-spacing: 0%;
  text-transform: uppercase;
  color: var(--back);
  background-color: var(--accent);
  border: 1px solid var(--accent);
  padding: 10px;
  max-width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 411px;
  transition: all 0.3s;
}

.btn:hover {
  background-color: transparent;
  color: var(--accent);
}
.text .btn {
  margin-top: 32px;
  width: 100%;
}

section,
section.container {
  margin-bottom: 100px;
}

.title {
  font-family: "Rubik", sans-serif;
  font-weight: 600;
  font-size: 56px;
  line-height: 100%;
  letter-spacing: 0%;
  text-transform: uppercase;
  margin-bottom: 60px;
}

.services-track {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 24px;
}

.service {
  border: 0.5px solid var(--text);
  padding: 10px 20px;
  display: flex;
  flex-direction: column;
  gap: 16px;
  justify-content: space-between;
}

span.number {
  font-weight: 400;
  font-size: 32px;
  line-height: 100%;
  letter-spacing: 0%;
  color: var(--accent);
  margin-bottom: 24px;
  display: block;
}

h3 {
  font-weight: 600;
  font-size: 24px;
  line-height: 130%;
  letter-spacing: 0%;
  text-transform: uppercase;
}

.service p {
  font-weight: 400;
  font-size: 24px;
  line-height: 130%;
  letter-spacing: 0%;
}

.services-nav {
  display: none;
}

.service.image {
  border: none;
  padding: 0;
}

.service.image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.services-nav button path,
.reviews-nav button path {
  fill: var(--text);
  transition: all 0.3s;
}

.services-nav button:hover path,
.reviews-nav button:hover path {
  fill: var(--accent);
}

/* MOBILE — CAROUSEL */
@media (max-width: 1068px) {
  .services-track {
    display: flex;
    overflow-x: auto;
    scroll-behavior: smooth;
    gap: 16px;
  }

  .services-track::-webkit-scrollbar {
    display: none;
  }

  .services-nav {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 24px;
  }

  .services-nav button {
    font-size: 32px;
    color: var(--accent);
  }
}

.work-item {
  display: grid;
  grid-template-columns: 1fr 1.2fr;
  gap: 128px;
  padding: 50px 0;
  border-top: 1px solid var(--accent);
}

.work-item.border-bottom {
  border-bottom: 1px solid var(--accent);
}

.work-left {
  display: flex;
  align-items: center;
}

.work-left span {
  margin-right: 14px;
  margin-bottom: 0;
}

.work-left h3 {
  font-size: 32px;
}

.work-item p {
  font-weight: 400;
  font-size: 24px;
  line-height: 36px;
  letter-spacing: 0%;
}

/* MOBILE */
@media (max-width: 1048px) {
  .work-title {
    font-size: 40px;
  }

  .work-item {
    grid-template-columns: 1fr;
    gap: 20px;
  }

  .work-left span {
    font-size: 28px;
  }

  .work-item p {
    font-size: 20px;
  }
  .services-nav {
    display: flex;
    justify-content: center;
    gap: 24px;
    margin-top: 32px;
  }
}

.about-photo {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.method {
  display: grid;
  grid-template-columns: 1fr 2fr;
  gap: 136px;
  padding: 50px 0 44px;
  border-top: 1px solid var(--accent);
}

.method:last-child {
  border-bottom: 1px solid var(--accent);
}

.method-left {
  display: flex;
  align-items: center;
  gap: 60px;
}

.method-left img {
  max-width: 96px;
}

.method h3 {
  font-size: 32px;
  margin-bottom: 16px;
}

.method p {
  font-size: 24px;
  line-height: 36px;
}

/* MOBILE */
@media (max-width: 1048px) {
  .method {
    grid-template-columns: 1fr;
    gap: 24px;
  }

  .method-left {
    gap: 16px;
  }

  .method-left img {
    max-width: 72px;
  }

  .method h3 {
    font-size: 24px;
  }

  .method p {
    font-size: 20px;
    line-height: 30px;
  }
}

.certifications {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 64px;
}

.certifications img {
  width: 100%;
  height: 100%;
}

.certification .about-container {
  display: grid;
  grid-template-columns: 1fr 2fr;
  align-items: center;
  gap: 60px;
}

.reverse.about-container {
  grid-template-columns: 1fr 1.18fr;
}

.text-bottom {
  margin-top: 60px;
  display: flex;
  flex-direction: column;
}

.reverse.about-container .text,
#contacts .about-container .text {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}

.reverse.about-container .text p {
  line-height: 123%;
}

.text-bottom p {
  font-family: "Playfair Display", serif;
  font-style: italic;
  font-weight: 600;
  font-size: 30px;
  line-height: 120%;
  letter-spacing: 0%;
  margin-bottom: 32px;
}

.text-bottom span {
  text-align: right;
  display: block;
  font-family: "Great Vibes", cursive;
  font-weight: 400;
  font-size: 40px;
  line-height: 36px;
  letter-spacing: 0%;
  text-align: right;
  color: var(--accent);
}

/* REVIEWS */
.reviews-track {
  display: flex;
  gap: 14px;
  overflow-x: auto;
  scroll-behavior: smooth;
}

.review {
  position: relative;
  flex: 0 0 calc((100% - 6 * 14px) / 7.3);
}

.review img {
  width: 100%;
  height: auto;
  display: block;
}

.review img.review-icon {
  width: 41px;
  height: 41px;
  z-index: 2;
  margin-bottom: 5px;
}

.reviews-nav {
  display: flex;
  justify-content: center;
  gap: 24px;
  margin-top: 32px;
}

.reviews-nav button {
  font-size: 32px;
  color: var(--accent);
}

/* MOBILE */
@media (max-width: 1048px) {
  .reviews-track {
    gap: 16px;
  }

  .review {
    flex: 0 0 calc((100% - 16px) / 2);
  }

  .review-icon {
    width: 32px;
    height: 32px;
    top: -16px;
    left: 12px;
  }
}

/* scrollbar off */
.reviews-track::-webkit-scrollbar {
  display: none;
}

#contacts {
  margin-bottom: 133px;
}

/* CONTACTS */
.contacts {
  border-top: 1px solid var(--text);
  padding: 40px 0;
  margin-bottom: 0 !important;
}

.contacts-inner {
  display: flex;
  flex-direction: column;
  gap: 50px;
}

.contacts-top {
  display: grid;
  grid-template-columns: auto 1fr auto;
  align-items: center;
  gap: 60px;
}

.contacts-left {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.contacts-left img {
  width: 70px;
}

.contacts-name {
  font-family: "Great Vibes", cursive;
  font-size: 20px;
  color: var(--accent);
}

.contacts-nav {
  display: flex;
  justify-content: center;
  gap: 110px;
}

.contacts-nav a {
  font-family: "Rubik", sans-serif;
  font-weight: 500;
  font-size: 24px;
  text-transform: uppercase;
  transition: all 0.3s;
}

.contacts-nav a:hover {
  color: var(--accent);
}

.contacts-social {
  display: flex;
  gap: 13px;
}

.contacts-social a {
  width: 24px;
  height: 24px;
}

.contacts-social svg path {
  transition: all 0.3s;
  fill: var(--text);
}

.contacts-social a:hover svg path {
  fill: var(--accent);
}

.contacts-bottom {
  display: flex;
  justify-content: flex-end;
}

/* FOOTER */
.footer {
  background: #20364b;
  padding: 48px 0;
}

.footer-inner {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 48px;
}

.footer-inner span {
  font-family: "Rubik", sans-serif;
  font-weight: 500;
  font-size: 24px;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  color: #fff;
}

.footer-social {
  display: flex;
  gap: 24px;
}

.footer-social img {
  width: 28px;
  height: 28px;
  filter: brightness(0) invert(1);
}

@media (max-width: 1300px) {
  body {
    font-size: 20px;
    padding: 30px 40px;
  }
  .name h1 {
    font-size: 100px;
  }
  .nav-list a {
    font-size: 24px;
  }
  .nav-list {
    gap: 80px;
  }
  .about-container .text p {
    font-size: 18px;
    line-height: 130%;
  }
  .method p {
    font-size: 20px;
    line-height: 130%;
  }

  h3,
  .service p,
  .contacts-nav a,
  .footer-inner span {
    font-size: 20px;
  }
  h2 {
    font-size: 40px;
  }
  .about-container .text p span,
  .about-container .text .text-bottom span {
    font-size: 32px;
  }
  .btn,
  .method h3 {
    font-size: 28px;
  }
  .title {
    font-size: 48px;
  }
  span.number {
    margin-bottom: 20px;
  }
  .work-left h3,
  .about-container .text .text-bottom p {
    font-size: 26px;
  }
  .certification .about-container {
    grid-template-columns: 1fr 1.5fr;
  }
  #contacts .text img {
    margin-bottom: 0;
  }
  .contacts-nav {
    gap: 60px;
  }
  .footer-social img {
    width: 24px;
    height: 24px;
  }
}

.burger {
  display: none;
  cursor: pointer;
  padding: 10px;
}

.burger svg path {
  fill: var(--text);
  transition: fill 0.3s ease;
}

.burger:hover svg path {
  fill: var(--accent);
}

.top {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: var(--back);
  padding-left: 20px;
  padding-right: 20px;
}

.top > img {
  width: 47px;
  margin-bottom: 14px;
}

.small-name p {
  margin-bottom: 32px;
  font-family: "Great Vibes", cursive;
  font-weight: 400;
  font-size: 32px;
  line-height: 120%;
}

.footer-nav {
  display: flex;
  flex-direction: column;
  text-align: center;
  gap: 14px;
  margin-bottom: 32px;
}

.footer-nav a {
  font-family: "Rubik", sans-serif;
  font-weight: 400;
  font-size: 24px;
  line-height: 130%;
  letter-spacing: 0%;
  text-align: center;
  text-transform: uppercase;
  padding: 5px 10px;
  border: 0.5px solid;
  min-width: 190px;
  text-align: center;
  display: block;
  transition: all 0.3s;
}

.footer-nav a:hover {
  background-color: var(--back);
  color: var(--text);
}

.footer-socials {
  display: flex;
  align-items: center;
  gap: 14px;
  margin-bottom: 22px;
}

.footer-socials a svg path,
.footer-social a svg path {
  transition: all 0.3s;
}

.footer-socials a:hover svg path,
.footer-social a:hover svg path {
  fill: var(--accent);
}

.header-mobile {
  position: fixed;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100vh;
  background: #20364b;
  transition: 0.3s;
  z-index: 1000;
}

.header-mobile.active {
  left: 0;
}

.no-scroll {
  overflow: hidden;
}
.header-mobile {
  padding: 0;
}
.header-top-mobile {
  height: 88.6px;
  background-color: var(--accent);
  display: flex;
  align-items: center;
  justify-content: flex-end;
  width: 100%;
  padding-right: 20px;
  margin-bottom: 27px;
}

.header-top-mobile svg path,
.header-top-mobile svg rect {
  transition: all 0.3s;
  cursor: pointer;
}

.header-top-mobile svg:hover rect {
  stroke: var(--text);
}

.header-top-mobile svg:hover path {
  fill: var(--text);
}

.header-mobile {
  background-color: var(--back);
}

.header-mobile .top > img {
  width: 49px;
}
.header-mobile .name {
  margin-bottom: 30px;
}
.header-mobile .name h1 {
  color: var(--text);
  text-align: center;
  line-height: 130%;
}

.header-mobile .name span {
  text-align: center;
}

.header-mobile .name span {
  font-size: 24px;
}
.header-mobile .footer-nav {
  margin-bottom: 86px;
}
.header-mobile .footer-nav a {
  border: 0.5px solid var(--text);
  color: var(--back);
  background-color: var(--text);
}

.header-mobile .footer-nav a:hover {
  background-color: var(--back);
  color: var(--text);
}

.header-mobile .footer-socials a svg path {
  fill: var(--text);
}

.mobile {
  display: none;
}
@media (max-width: 1048px) {
  body {
    padding: 18px 0;
  }
  .burger {
    display: flex;
    position: absolute;
    left: 18px;
    top: 10px;
  }
  .desktop {
    display: none;
  }
  .mobile {
    display: flex;
  }
  .name h1 {
    font-size: 32px;
    margin-bottom: 5px;
    line-height: 80%;
  }
  .name span {
    font-size: 20px;
  }
  .logo img {
    width: 30px;
  }
  .top-header {
    justify-content: flex-end;
    align-items: flex-start;
    position: relative;
    padding-left: 20px;
    padding-right: 20px;
    margin-bottom: 0;
  }
  .about-container,
  .about-container.gap-60 {
    display: flex;
    flex-direction: column;
    gap: 24px;
  }
  header {
    margin-bottom: 0;
  }

  .about-img {
    width: 100%;
  }

  .about-img img {
    width: 100%;
    max-height: 670px;
    object-fit: cover;
    object-position: center;
  }
  .about-img::before {
    width: 27px;
    height: 27px;
    background-size: contain;
    left: 23px;
    top: 20px;
  }
  .text {
    padding: 0 20px;
  }
  .text h2 {
    display: none;
  }
  .mobile-none {
    display: none;
  }

  .mobile-none span {
    display: flex;
  }
  .about-container .text p span {
    text-align: center;
  }
  .center {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 8px;
  }
  .btn,
  .text .btn {
    min-width: 300px;
    font-size: 24px;
  }
  section,
  section.container {
    margin-bottom: 60px;
  }
  .title {
    font-size: 20px;
    line-height: 130%;
    padding-left: 20px;
    padding-right: 20px;
    margin-bottom: 32px;
  }
  .work .title {
    padding-left: 0;
    padding-right: 0;
  }
  .service.image {
    display: none;
  }
  span.number {
    font-size: 20px;
  }
  .service p {
    margin-top: 14px;
  }
  section.work {
    padding-left: 20px;
    padding-right: 20px;
    margin-bottom: 32px;
  }
  .work-item {
    padding-top: 24px;
    padding-bottom: 24px;
    gap: 14px;
  }
  .work-left h3 {
    font-size: 18px;
  }
  .work-item span.number {
    margin-bottom: 0;
  }
  .work-item p {
    font-size: 18px;
    line-height: 130%;
  }
  .p-20 {
    padding-left: 20px;
    padding-right: 20px;
  }
  .about-container .text p span.mobile-inherit {
    font-family: "Inter", sans-serif;
    color: var(--text);
    font-size: 18px;
    line-height: 130%;
  }
  .method {
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 0;
    padding-bottom: 52px;
    border-top: 0;
  }
  .method-left {
    display: none;
  }
  .method span.number {
    display: none;
  }
  .method h3 {
    display: flex;
    align-items: center;
    gap: 18px;
    font-size: 18px;
    line-height: 130%;
    margin-bottom: 18px;
  }
  .method h3 img {
    max-width: 24px;
  }
  .method p {
    margin-bottom: 32px;
  }
  .method:last-child {
    border: 0;
    padding-bottom: 0;
  }
  .certification .about-container {
    display: flex;
    padding-left: 20px;
    padding-right: 20px;
  }
  .certifications {
    gap: 11px;
  }
  .certification .title {
    margin-bottom: 32px;
  }
  .reverse .about-photo {
    order: 1;
    padding-left: 20px;
    padding-right: 20px;
    gap: 10px;
  }

  .reverse .text {
    order: 2;
  }
  .title.mb-32 {
    margin-bottom: 32px;
  }
  .text-bottom {
    margin-top: 0;
  }
  .text-bottom p {
    font-size: 13px;
    line-height: 120%;
    width: 70%;
    margin-left: auto;
    margin-bottom: 0;
  }
  .text-bottom span {
    font-size: 20px;
    line-height: 120%;
  }
  .desktop-vibe {
    font-family: "Great Vibes", cursive;
    font-weight: 400;
    font-size: 24px;
    line-height: 130%;
    letter-spacing: 0%;
    color: var(--accent);
  }
  .review img.review-icon {
    width: 42px;
    height: 42px;
  }
  #contacts .about-container .text {
    order: 1;
  }
  #contacts .about-photo {
    order: 2;
    padding-left: 20px;
    padding-right: 20px;
    gap: 32px;
  }
  #contacts .text a {
    display: none;
  }
  #contacts {
    margin-bottom: 60px;
  }
  .footer-inner {
    border-top: 2px solid var(--back);
    padding: 28px 20px;
    gap: 14px;
  }
  .footer {
    padding-top: 20px;
    padding-bottom: 0;
  }
  .footer-inner span {
    font-size: 18px;
    text-transform: inherit;
    font-weight: 400;
  }
  .footer-social {
    margin-bottom: 0;
  }
  .reviews-track {
    padding-left: 20px;
  }
  .services-track {
    padding-left: 20px;
  }
  .service h3,
  .service p {
    font-size: 18px;
    line-height: 120%;
  }
  .service {
    padding: 10px 10px 20px;
    min-width: 217px;
    gap: 0;
  }
  .review img {
    max-width: 100%;
    height: auto;
    image-rendering: auto;
    -webkit-transform: translateZ(0);
  }
  .reviews-nav {
    margin-top: 0;
  }
  section.reviews {
    margin-bottom: 40px;
  }
}
@media (max-width: 465px) {
  .about-img img {
    max-height: 323px;
  }
}
